- [HTTP request](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#body.request_body)
- [Response body](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#body.ListContinuousTestResultsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#body.aspect)
- [ContinuousTestResult](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#ContinuousTestResult)
  - [JSON representation](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#ContinuousTestResult.SCHEMA_REPRESENTATION)
- [AggregatedTestResult](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#AggregatedTestResult)
- [Try it!](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#try-it)

Fetches a list of continuous test results for a given environment.

### HTTP request

Choose an endpoint:
global   
`GET https://dialogflow.googleapis.com/v3/{parent=projects/*/locations/*/agents/*/environments/*}/continuousTestResults`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`GET https://{endpoint}/v3/{parent=projects/*/locations/*/agents/*/environments/*}/continuousTestResults`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The environment to list results for. Format: `projects/<ProjectID>/locations/<LocationID>/agents/<AgentID>/environments/<EnvironmentID>`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dialogflow.environments.get` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return in a single page. By default 100 and at most 1000. |
| `pageToken` | `string` The nextPageToken value returned from a previous list request. |

### Request body

The request body must be empty.

### Response body

The response message for \[Environments.ListTestCaseResults\]\[\].

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "continuousTestResults": [ { object (`https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#ContinuousTestResult`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `continuousTestResults[]` | ``object (`https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#ContinuousTestResult`)`` The list of continuous test results. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## ContinuousTestResult

Represents a result from running a test case in an agent environment.

| JSON representation |
|---|
| ``` { "name": string, "result": enum (`https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#AggregatedTestResult`), "testCaseResults": [ string ], "runTime": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The resource name for the continuous test result. Format: `projects/<ProjectID>/locations/<LocationID>/agents/<AgentID>/environments/<EnvironmentID>/continuousTestResults/<ContinuousTestResultID>`. |
| `result` | ``enum (`https://docs.cloud.google.com/dialogflow/cx/docs/reference/rest/v3/projects.locations.agents.environments.continuousTestResults/list#AggregatedTestResult`)`` The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not. |
| `testCaseResults[]` | `string` A list of individual test case results names in this continuous test run. |
| `runTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Time when the continuous testing run starts. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

## AggregatedTestResult

The overall result for a continuous test run in an agent environment.

| Enums ||
|---|---|
| `AGGREGATED_TEST_RESULT_UNSPECIFIED` | Not specified. Should never be used. |
| `PASSED` | All the tests passed. |
| `FAILED` | At least one test did not pass. |